# Uses of Interface
org.apache.qpid.proton.engine.SslDomain

Packages that use SslDomain
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.engine.impl.ssl

## Uses of SslDomain in org.apache.qpid.proton

Methods in org.apache.qpid.proton that return SslDomain
Modifier and Type
Method
Description
`static SslDomain`
Proton.`sslDomain()`

## Uses of SslDomain in org.apache.qpid.proton.engine

Subinterfaces of SslDomain in org.apache.qpid.proton.engine
Modifier and Type
Interface
Description
`interface`
`ProtonJSslDomain`
Extends `SslDomain` with functionality that is specific to proton-j
Methods in org.apache.qpid.proton.engine that return SslDomain
Modifier and Type
Method
Description
`static SslDomain`
SslDomain.Factory.`create()`
`static SslDomain`
Engine.`sslDomain()`
Methods in org.apache.qpid.proton.engine with parameters of type SslDomain
Modifier and Type
Method
Description
`Ssl`
Transport.`ssl(SslDomain sslDomain)`
Equivalent to `Transport.ssl(SslDomain, SslPeerDetails)` but passing null for SslPeerDetails, meaning no SNI detail is sent, hostname verification isn't supported etc when connecting.
`Ssl`
Transport.`ssl(SslDomain sslDomain, SslPeerDetails sslPeerDetails)`
Wrap this transport's output and input to apply SSL encryption and decryption respectively.

## Uses of SslDomain in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type SslDomain
Modifier and Type
Method
Description
`Ssl`
TransportImpl.`ssl(SslDomain sslDomain)`
`Ssl`
TransportImpl.`ssl(SslDomain sslDomain, SslPeerDetails sslPeerDetails)`
Wrap this transport's output and input to apply SSL encryption and decryption respectively.

## Uses of SslDomain in org.apache.qpid.proton.engine.impl.ssl

Classes in org.apache.qpid.proton.engine.impl.ssl that implement SslDomain
Modifier and Type
Class
Description
`class`
`SslDomainImpl`
Methods in org.apache.qpid.proton.engine.impl.ssl with parameters of type SslDomain
Modifier and Type
Method
Description
`ProtonSslEngine`
SslEngineFacadeFactory.`createProtonSslEngine(SslDomain domain, SslPeerDetails peerDetails)`
Returns a `ProtonSslEngine`.
Constructors in org.apache.qpid.proton.engine.impl.ssl with parameters of type SslDomain
Modifier
Constructor
Description
``
`SslImpl(SslDomain domain, SslPeerDetails peerDetails)`